Page MenuHomePhabricator

Mark disambiguation links in Parsoid
Closed, ResolvedPublic

Description

If Extension:Disambiguator is installed, disambiguation links should be marked by Parsoid, similar to T148325: Extension:Disambiguator does not work on Flow pages.

Disambiguator hooks into the core parser to add mw-disambig when linking to disambiguation pages.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 2 2016, 11:36 AM
ssastry added a subscriber: ssastry.Nov 2 2016, 3:37 PM

We'll have to figure out how to expose this information to Parsoid and implement this as a post-processing hook / pass there.

ssastry triaged this task as Medium priority.Nov 2 2016, 3:37 PM

Thanks. That makes this simpler. So, we need two separate sets of information about links: (a) redlinks (b) disambiguation.

Thanks. That makes this simpler. So, we need two separate sets of information about links: (a) redlinks (b) disambiguation.

https://phabricator.wikimedia.org/T39902#2537324 is related where I indicate that perhaps a better solution is to implement this in the ParsoidBatchAPI extension to do this efficiently for all links and return both pieces of information. This also needs to factor in the work being done for shadow namespaces so that this all works transparently.

ssastry assigned this task to Arlolra.Apr 27 2017, 3:01 PM
ssastry moved this task from Backlog to Next Up on the Parsoid board.
ssastry moved this task from Next Up to In Progress on the Parsoid board.May 2 2017, 10:41 PM

Change 351537 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] Port VE's LinkCache::styleElement

https://gerrit.wikimedia.org/r/351537

Change 351537 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Implement rendering of redlinks, etc. as a post-processor

https://gerrit.wikimedia.org/r/351537

Arlolra closed this task as Resolved.Jun 15 2017, 12:07 AM